---
search:
  tags:
    - V1
    - GET
seo:
  description: >-
    List a project's scheduled tasks, including their saved… Reference for the
    GET /v1/projects/{projectId}/scheduled-tasks endpoint in the Judgeval API.
sidebar:
  label: List scheduled tasks
  badge: GET
title: List scheduled tasks
type: openapi-operation
---
List a project's scheduled tasks, including their saved instructions, schedule, and Slack delivery.

`GET /v1/projects/{projectId}/scheduled-tasks`

**Responses**

- `200` — Response for status 200

Response example, 200:

```json
{
  "tasks": [
    {
      "id": "string",
      "kind": "custom",
      "is_default": true,
      "name": "string",
      "description": "string",
      "instructions": "string",
      "mode": "fast",
      "tool_permission_mode": "auto_require_permission",
      "created_by": "string",
      "created_at": "string",
      "updated_at": "string",
      "schedule": {
        "enabled": true,
        "cadence": {
          "mode": "calendar",
          "frequency": "daily",
          "dayOfWeek": 0,
          "daysOfWeek": [
            0
          ],
          "hour": 0,
          "minute": 0
        },
        "timezone": "string",
        "sync_error": "string"
      },
      "slack_channel_ids": [
        "string"
      ]
    }
  ]
}
```
